# Choose Cthulhu - 2 - Les montagnes hallucinees
# Copyright (C) 2021 MiKael NAVARRO
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

"""Choose Cthulhu - 1 - Les montagnes hallucinees
Copyright (C) 2021 MiKael NAVARRO

En las montanas de la locura.

"""

# Specific variables for pydoc
__author__ = "MiKael Navarro <klnavarro@gmail.com>"
__date__ = "Sat Nov 20 2021"
__version__ = "0.1.0"

# Global variables
NODES = { 0: { 'name': "Les montagnes hallucinees",
               'description': "Choose Cthulhu." },
          }
EDGES = {
    1: [ 57, 46, 92 ],
    2: [ 62, 89 ],
    3: [ 20 ],
    5: [ 77 ],
    6: [ 22 ],
    7: [ 38 ],
    8: [ 63, 15 ],
    9: [ 16, 49 ],
    10: [ 87 ],
    11: [ 22, 80 ],
    13: [ 19 ],
    14: [ 103 ], # explorer
    15: [ 24 ],
    16: [], # fin fuit monstre
    17: [ 22, 94 ],
    18: [], # fin prisonnier Celaeno
    19: [ 5, 74 ],
    20: [ 23 ],
    21: [], # fin decompose
    22: [ 88, 94, 53, 32, 35, 106 ], # plan camp
    23: [ 52, 98 ],
    24: [ 45, 18 ],
    25: [ 22, 94 ],
    26: [ 94, 22 ],
    27: [], # fin Tcho-Tcho
    28: [ 94, 22, 102 ], # latrines
    29: [ 81 ],
    30: [ 83 ],
    31: [ 39 ],
    32: [ 22 ],
    33: [ 91 ],
    34: [ 90, 8, 45 ],
    #35: [ 54, 23, 50, 43, 51, 26, 27, 38, 59, 49, 32, 33 ], # mystere resolu ?
	35: [ 54, 50 ], # mystere resolu ?
    36: [], # fin gele glace
    38: [ 33, 27 ],
    39: [ 84 ],
    40: [ 103, 67 ], # nord
    41: [ 78 ],
    42: [ 36 ],
    43: [ 22, 94 ],
    45: [ 9 ],
    46: [ 108 ], # renseigner financeurs
    47: [ 111 ],
    49: [ 68 ],
    50: [ 95 ], # Gedney
    51: [ 41 ], # rien dire
    52: [ 85 ],
    53: [ 22 ],
    54: [ 77 ], # Lake
    55: [ 42 ],
    56: [], # fin avion s'ecrase
    57: [ 13, 65 ], # attendre
    58: [], # fin Yith
    59: [], # ???
    60: [ 21, 90 ],
    61: [ 36, 72 ],
    62: [ 101 ],
    63: [ 77 ],
    64: [ 97, 6 ], # vers montagnes
    65: [ 19 ],
    66: [ 14, 70 ],
    67: [ 77 ], # perdu
    68: [ 10, 67 ],
    69: [ 66 ], # equipement
    70: [], # fin monstre
    72: [ 107 ], # 700 km sud
    73: [ 86 ],
    74: [ 77, 51 ],
    75: [ 70 ],
    77: [], # fou, Arkham
    78: [ 61 ],
    79: [ 9, 103 ], # ds cite
    80: [], # fin abandon / retour
    81: [ 52 ],
    83: [ 60, 21, 90 ],
    84: [ 73, 75 ],
    85: [ 6, 64 ],
    86: [ 69 ],
    87: [ 47 ],
    88: [ 22 ],
    89: [ 101 ],
    90: [ 103, 34, 83 ], # sud
    91: [ 58 ],
    92: [ 41, 46 ], # recherche Antartique
    93: [ 31, 73, 100 ],
    94: [ 43, 25, 17, 28, 26 ], # explorer camp
    95: [ 93, 73 ],
    96: [ 7, 109 ],
    97: [ 56, 2 ], # chercher camp
    98: [ 52, 29 ], # trouvaille Lake
    100: [ 30 ],
    101: [ 96, 38 ],
    102: [ 22, 94, 80 ], # main ds fosse
    103: [ 90, 40, 16, 79 ], # descendre tour
    104: [ 3 ],
    105: [ 41 ],
    106: [ 11, 22 ],
    107: [ 55, 104 ],
    108: [ 57, 105 ],
    109: [], # fin Tcho-Tcho
    111: [] # fuit horreur, Arkham
    }
